PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::PredicateBoundaryImpl< MeshT, Predicate > Struct Template Reference

Boundary logic implementation which represents set of indexes which fulfill predicate. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::PredicateBoundaryImpl< MeshT, Predicate >:
[legend]
Collaboration diagram for plask::PredicateBoundaryImpl< MeshT, Predicate >:
[legend]

## Classes
struct | PredicateIteratorImpl

## Public Types
typedef MeshT::Boundary::MeshType | MeshType
Public Types inherited from plask::BoundaryNodeSetWithMeshImpl< MeshT::Boundary::MeshType >
typedef BoundaryNodeSetImpl::const_iterator | const_iterator
| iterator over indexes of mesh
typedef BoundaryNodeSetImpl::iterator | iterator
| iterator over indexes of mesh
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Public Member Functions
| PredicateBoundaryImpl (const MeshType &mesh, Predicate predicate)
| Construct predicate boundary which use given `predicate`.
bool | contains (std::size_t mesh_index) const override
| Check if boundary contains point with given index.
BoundaryNodeSetImpl::Iterator | begin () const override
| Get begin iterator over boundary points.
BoundaryNodeSetImpl::Iterator | end () const override
| Get end iterator over boundary points.
Public Member Functions inherited from plask::BoundaryNodeSetWithMeshImpl< MeshT::Boundary::MeshType >
| BoundaryNodeSetWithMeshImpl (const MeshT::Boundary::MeshType &mesh)
| Construct object which holds reference to given `mesh`.
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual bool | empty () const
| Check if this represents empty set of indexes.
virtual std::size_t | size () const
| Get number of points in this boundary.

## Public Attributes
Predicate | predicate
| Predicate which check if given point is in boundary.
Public Attributes inherited from plask::BoundaryNodeSetWithMeshImpl< MeshT::Boundary::MeshType >
const MeshT::Boundary::MeshType & | mesh
| Held mesh.

## Detailed Description

template<typename MeshT, typename Predicate>
struct plask::PredicateBoundaryImpl< MeshT, Predicate >

Boundary logic implementation which represents set of indexes which fulfill predicate.

Template Parameters

  MeshT | type of mesh
  predicate | functor which check if given point is in boundary Boundaries

Definition at line 805 of file boundary.hpp.

## Member Typedef Documentation

## ◆ MeshType

template<typename MeshT , typename Predicate >

typedef MeshT::Boundary::MeshType plask::PredicateBoundaryImpl< MeshT, Predicate >::MeshType

Definition at line 807 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ PredicateBoundaryImpl()

template<typename MeshT , typename Predicate >

plask::PredicateBoundaryImpl< MeshT, Predicate >::PredicateBoundaryImpl | ( | const MeshType & | mesh,
|  | Predicate | predicate
| ) |  |
| inline

Construct predicate boundary which use given `predicate`.

Parameters

  mesh | mesh for which boundary should be calculated
  predicate | predicate which check if given point is in boundary

Definition at line 861 of file boundary.hpp.

## Member Function Documentation

## ◆ begin()

template<typename MeshT , typename Predicate >

BoundaryNodeSetImpl::Iterator plask::PredicateBoundaryImpl< MeshT, Predicate >::begin | ( |  | ) | const
| inline override virtual

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 877 of file boundary.hpp.

## ◆ contains()

template<typename MeshT , typename Predicate >

bool plask::PredicateBoundaryImpl< MeshT, Predicate >::contains | ( | std::size_t | mesh_index | ) | const
| inline override virtual

Check if boundary contains point with given index.

Parameters

  mesh_index | valid index of point in `mesh`

Returns
  `true` only if point with index `mesh_index` in `mesh` lies on boundary

Implements plask::BoundaryNodeSetImpl.

Definition at line 873 of file boundary.hpp.

## ◆ end()

template<typename MeshT , typename Predicate >

BoundaryNodeSetImpl::Iterator plask::PredicateBoundaryImpl< MeshT, Predicate >::end | ( |  | ) | const
| inline override virtual

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 881 of file boundary.hpp.

## Member Data Documentation

## ◆ predicate

template<typename MeshT , typename Predicate >

Predicate plask::PredicateBoundaryImpl< MeshT, Predicate >::predicate

Predicate which check if given point is in boundary.

Definition at line 854 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp